Agents
Agents endpoints of the Ellipsis REST API.
curl "https://api.ellipsis.dev/agents/configs" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"configs": [
{
"agent_config": {
"budget": {
"day": 0,
"month": 0,
"session": 0,
"week": 0
},
"claude": {
"effort": "low",
"fallback_model": "string",
"max_turns": 0,
"model": "claude-opus-5",
"settings": {
"path": "string",
"repository": {
"name": "string",
"owner": "string",
"ref": "string"
}
},
"system": "string"
},
"codex": {
"model": "bedrock-gpt-5.6-terra",
"system": "string"
},
"ellipsis": {
"description": "string",
"enabled": true,
"ide": true,
"interactive": true,
"metadata": {
"annotations": {},
"labels": []
},
"name": "string",
"version": "v1"
},
"environment": {
"compute": {
"cpu": 0,
"memory": "string",
"timeout": "string"
},
"hooks": {
"post_clone": "string",
"post_start": "string"
},
"image": {
"dockerfile_append": "string",
"setup": "string"
},
"ports": [
3000,
5173,
8000,
8080
],
"repositories": [],
"variables": []
},
"llm": {
"proxy": "string"
},
"mcp_servers": [],
"permissions": {
"ellipsis": true,
"github": {
"permissions": "string",
"repositories": [
"string"
]
}
},
"skills": [],
"structured_output": {
"json_schema": {},
"type": "json_schema"
},
"trigger": "string"
},
"agent_config_source_details": {
"branch": "string",
"path": "string",
"repo_id": 0
},
"created_at": "2026-01-01T00:00:00Z",
"customer_id": "string",
"deleted": false,
"edited_by": {
"avatar_url": "string",
"id": 0,
"login": "string",
"type": "User"
},
"id": "string",
"is_pull_request_head_preview": false,
"last_agent_session_created_at": "2026-01-01T00:00:00Z",
"last_agent_session_id": "string",
"last_sync_error": "string",
"last_synced_commit_sha": "string",
"pending_pull_request_url": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
]
}{
"properties": {
"configs": {
"items": {
"properties": {
"agent_config": {
"additionalProperties": false,
"properties": {
"budget": {
"additionalProperties": false,
"properties": {
"day": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"month": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"session": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"week": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"claude": {
"additionalProperties": false,
"properties": {
"effort": {
"anyOf": [
{
"enum": [
"low",
"medium",
"high",
"xhigh",
"max"
],
"type": "string"
},
{
"type": "null"
}
]
},
"fallback_model": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"max_turns": {
"anyOf": [
{
"exclusiveMinimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"model": {
"default": "claude-opus-5",
"type": "string"
},
"settings": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
{
"type": "null"
}
]
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
"codex": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"model": {
"default": "bedrock-gpt-5.6-terra",
"type": "string"
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"type": "object"
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"ellipsis": {
"additionalProperties": false,
"properties": {
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"default": true,
"type": "boolean"
},
"ide": {
"default": true,
"type": "boolean"
},
"interactive": {
"default": true,
"type": "boolean"
},
"metadata": {
"additionalProperties": false,
"properties": {
"annotations": {
"additionalProperties": {
"type": "string"
},
"default": {},
"type": "object"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"version": {
"default": "v1",
"type": "string"
}
},
"type": "object"
},
"environment": {
"additionalProperties": false,
"properties": {
"compute": {
"additionalProperties": false,
"properties": {
"cpu": {
"anyOf": [
{
"maximum": 16,
"minimum": 0.125,
"type": "number"
},
{
"type": "null"
}
]
},
"memory": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"gb": {
"type": "object"
},
"mb": {
"type": "object"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"timeout": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"hours": {
"type": "object"
},
"minutes": {
"type": "object"
},
"seconds": {
"type": "object"
}
},
"type": "object"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"hooks": {
"additionalProperties": false,
"properties": {
"post_clone": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"post_start": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"image": {
"additionalProperties": false,
"properties": {
"dockerfile_append": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"setup": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"ports": {
"default": [
3000,
5173,
8000,
8080
],
"items": {
"type": "integer"
},
"type": "array"
},
"repositories": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
},
"variables": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"llm": {
"additionalProperties": false,
"properties": {
"proxy": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"mcp_servers": {
"default": [],
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
},
"type": "array"
},
"permissions": {
"additionalProperties": false,
"properties": {
"ellipsis": {
"default": true,
"enum": [
true,
"all"
]
},
"github": {
"additionalProperties": false,
"properties": {
"permissions": {
"anyOf": [
{
"const": "read_only",
"type": "string"
},
{
"additionalProperties": {
"type": "string"
},
"type": "object"
},
{
"type": "null"
}
]
},
"repositories": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"type": "object"
},
"skills": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"type": "object"
},
"ref": {
"type": "object"
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
"type": "array"
},
"structured_output": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"json_schema": {
"additionalProperties": true,
"type": "object"
},
"type": {
"const": "json_schema",
"default": "json_schema",
"type": "string"
}
},
"required": [
"json_schema"
],
"type": "object"
},
{
"type": "null"
}
]
},
"trigger": {
"anyOf": [
{
"oneOf": [
{
"additionalProperties": false,
"properties": {
"schedule": {
"type": "string"
},
"type": {
"const": "cron",
"default": "cron",
"type": "string"
}
},
"required": [
"schedule"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"issue": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"linear_issue": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"pull_request": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"push": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"sentry": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"slack_channel": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"const": "react",
"default": "react",
"type": "string"
}
},
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"platforms": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"type": {
"const": "mention",
"default": "mention",
"type": "string"
}
},
"type": "object"
}
]
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"agent_config_source_details": {
"anyOf": [
{
"properties": {
"branch": {
"type": "string"
},
"path": {
"type": "string"
},
"repo_id": {
"type": "integer"
}
},
"required": [
"repo_id",
"path",
"branch"
],
"type": "object"
},
{
"type": "null"
}
]
},
"created_at": {
"format": "date-time",
"type": "string"
},
"customer_id": {
"type": "string"
},
"deleted": {
"default": false,
"type": "boolean"
},
"edited_by": {
"anyOf": [
{
"properties": {
"avatar_url": {
"type": "string"
},
"id": {
"type": "integer"
},
"login": {
"type": "string"
},
"type": {
"enum": [
"User",
"Organization",
"Bot",
"Mannequin"
],
"type": "string"
}
},
"required": [
"id",
"login",
"type",
"avatar_url"
],
"type": "object"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"is_pull_request_head_preview": {
"default": false,
"type": "boolean"
},
"last_agent_session_created_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"last_agent_session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_sync_error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_synced_commit_sha": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"pending_pull_request_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"customer_id",
"created_at",
"updated_at",
"agent_config"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"configs"
],
"type": "object"
}Responses
The PR adds the config file to agents/ on the target repository. Accepts an inline config or a gallery template slug.
curl -X POST "https://api.ellipsis.dev/agents/configs" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY" \
-H "Content-Type: application/json" \
-d '{"repository":"..."}'{
"config": {
"agent_config": {
"budget": {
"day": 0,
"month": 0,
"session": 0,
"week": 0
},
"claude": {
"effort": "low",
"fallback_model": "string",
"max_turns": 0,
"model": "claude-opus-5",
"settings": {
"path": "string",
"repository": {
"name": "string",
"owner": "string",
"ref": "string"
}
},
"system": "string"
},
"codex": {
"model": "bedrock-gpt-5.6-terra",
"system": "string"
},
"ellipsis": {
"description": "string",
"enabled": true,
"ide": true,
"interactive": true,
"metadata": {
"annotations": {},
"labels": []
},
"name": "string",
"version": "v1"
},
"environment": {
"compute": {
"cpu": 0,
"memory": "string",
"timeout": "string"
},
"hooks": {
"post_clone": "string",
"post_start": "string"
},
"image": {
"dockerfile_append": "string",
"setup": "string"
},
"ports": [
3000,
5173,
8000,
8080
],
"repositories": [],
"variables": []
},
"llm": {
"proxy": "string"
},
"mcp_servers": [],
"permissions": {
"ellipsis": true,
"github": {
"permissions": "string",
"repositories": [
"string"
]
}
},
"skills": [],
"structured_output": {
"json_schema": {},
"type": "json_schema"
},
"trigger": "string"
},
"agent_config_source_details": {
"branch": "string",
"path": "string",
"repo_id": 0
},
"created_at": "2026-01-01T00:00:00Z",
"customer_id": "string",
"deleted": false,
"edited_by": {
"avatar_url": "string",
"id": 0,
"login": "string",
"type": "User"
},
"id": "string",
"is_pull_request_head_preview": false,
"last_agent_session_created_at": "2026-01-01T00:00:00Z",
"last_agent_session_id": "string",
"last_sync_error": "string",
"last_synced_commit_sha": "string",
"pending_pull_request_url": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"path": "string",
"pull_request_url": "string"
}{
"properties": {
"config": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"budget": {
"additionalProperties": false,
"properties": {
"day": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"month": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"session": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"week": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"claude": {
"additionalProperties": false,
"properties": {
"effort": {
"anyOf": [
{
"enum": [
"low",
"medium",
"high",
"xhigh",
"max"
],
"type": "string"
},
{
"type": "null"
}
]
},
"fallback_model": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"max_turns": {
"anyOf": [
{
"exclusiveMinimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"model": {
"default": "claude-opus-5",
"type": "string"
},
"settings": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"type": "object"
},
"ref": {
"type": "object"
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
{
"type": "null"
}
]
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
"codex": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"model": {
"default": "bedrock-gpt-5.6-terra",
"type": "string"
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"ellipsis": {
"additionalProperties": false,
"properties": {
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"default": true,
"type": "boolean"
},
"ide": {
"default": true,
"type": "boolean"
},
"interactive": {
"default": true,
"type": "boolean"
},
"metadata": {
"additionalProperties": false,
"properties": {
"annotations": {
"additionalProperties": {
"type": "string"
},
"default": {},
"type": "object"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"version": {
"default": "v1",
"type": "string"
}
},
"type": "object"
},
"environment": {
"additionalProperties": false,
"properties": {
"compute": {
"additionalProperties": false,
"properties": {
"cpu": {
"anyOf": [
{
"maximum": 16,
"minimum": 0.125,
"type": "number"
},
{
"type": "null"
}
]
},
"memory": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"gb": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"mb": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"timeout": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"hours": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"minutes": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"seconds": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"hooks": {
"additionalProperties": false,
"properties": {
"post_clone": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"post_start": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"image": {
"additionalProperties": false,
"properties": {
"dockerfile_append": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"setup": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"ports": {
"default": [
3000,
5173,
8000,
8080
],
"items": {
"type": "integer"
},
"type": "array"
},
"repositories": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
},
"variables": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"llm": {
"additionalProperties": false,
"properties": {
"proxy": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"mcp_servers": {
"default": [],
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
},
"type": "array"
},
"permissions": {
"additionalProperties": false,
"properties": {
"ellipsis": {
"default": true,
"enum": [
true,
"all"
]
},
"github": {
"additionalProperties": false,
"properties": {
"permissions": {
"anyOf": [
{
"const": "read_only",
"type": "string"
},
{
"additionalProperties": {
"type": "string"
},
"type": "object"
},
{
"type": "null"
}
]
},
"repositories": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"type": "object"
},
"skills": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
"type": "array"
},
"structured_output": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"json_schema": {
"additionalProperties": true,
"type": "object"
},
"type": {
"const": "json_schema",
"default": "json_schema",
"type": "string"
}
},
"required": [
"json_schema"
],
"type": "object"
},
{
"type": "null"
}
]
},
"trigger": {
"anyOf": [
{
"oneOf": [
{
"additionalProperties": false,
"properties": {
"schedule": {
"type": "string"
},
"type": {
"const": "cron",
"default": "cron",
"type": "string"
}
},
"required": [
"schedule"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"type": "object"
},
"labels": {
"type": "array"
},
"on": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"linear_issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"type": "object"
},
"on": {
"type": "array"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"pull_request": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"base": {
"type": "array"
},
"draft": {
"type": "object"
},
"for": {
"type": "object"
},
"head": {
"type": "array"
},
"labels": {
"type": "array"
},
"on": {
"type": "array"
},
"paths": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"push": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"branch": {
"type": "array"
},
"for": {
"type": "object"
},
"paths": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"sentry": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"on": {
"type": "array"
},
"projects": {
"type": "array"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"slack_channel": {
"anyOf": [
{
"additionalProperties": false,
"properties": {},
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"const": "react",
"default": "react",
"type": "string"
}
},
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"platforms": {
"default": [],
"items": {
"enum": [
"github",
"slack",
"linear"
],
"type": "string"
},
"type": "array"
},
"type": {
"const": "mention",
"default": "mention",
"type": "string"
}
},
"type": "object"
}
]
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"path": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"repository": {
"type": "string"
},
"template_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"repository"
],
"type": "object"
}{
"properties": {
"config": {
"properties": {
"agent_config": {
"additionalProperties": false,
"properties": {
"budget": {
"additionalProperties": false,
"properties": {
"day": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"month": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"session": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"week": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"claude": {
"additionalProperties": false,
"properties": {
"effort": {
"anyOf": [
{
"enum": [
"low",
"medium",
"high",
"xhigh",
"max"
],
"type": "string"
},
{
"type": "null"
}
]
},
"fallback_model": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"max_turns": {
"anyOf": [
{
"exclusiveMinimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"model": {
"default": "claude-opus-5",
"type": "string"
},
"settings": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"type": "object"
},
"ref": {
"type": "object"
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
{
"type": "null"
}
]
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
"codex": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"model": {
"default": "bedrock-gpt-5.6-terra",
"type": "string"
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"ellipsis": {
"additionalProperties": false,
"properties": {
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"default": true,
"type": "boolean"
},
"ide": {
"default": true,
"type": "boolean"
},
"interactive": {
"default": true,
"type": "boolean"
},
"metadata": {
"additionalProperties": false,
"properties": {
"annotations": {
"additionalProperties": {
"type": "string"
},
"default": {},
"type": "object"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"version": {
"default": "v1",
"type": "string"
}
},
"type": "object"
},
"environment": {
"additionalProperties": false,
"properties": {
"compute": {
"additionalProperties": false,
"properties": {
"cpu": {
"anyOf": [
{
"maximum": 16,
"minimum": 0.125,
"type": "number"
},
{
"type": "null"
}
]
},
"memory": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"gb": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"mb": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"timeout": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"hours": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"minutes": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"seconds": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"hooks": {
"additionalProperties": false,
"properties": {
"post_clone": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"post_start": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"image": {
"additionalProperties": false,
"properties": {
"dockerfile_append": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"setup": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"ports": {
"default": [
3000,
5173,
8000,
8080
],
"items": {
"type": "integer"
},
"type": "array"
},
"repositories": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
},
"variables": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"llm": {
"additionalProperties": false,
"properties": {
"proxy": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"mcp_servers": {
"default": [],
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
},
"type": "array"
},
"permissions": {
"additionalProperties": false,
"properties": {
"ellipsis": {
"default": true,
"enum": [
true,
"all"
]
},
"github": {
"additionalProperties": false,
"properties": {
"permissions": {
"anyOf": [
{
"const": "read_only",
"type": "string"
},
{
"additionalProperties": {
"type": "string"
},
"type": "object"
},
{
"type": "null"
}
]
},
"repositories": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"type": "object"
},
"skills": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
"type": "array"
},
"structured_output": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"json_schema": {
"additionalProperties": true,
"type": "object"
},
"type": {
"const": "json_schema",
"default": "json_schema",
"type": "string"
}
},
"required": [
"json_schema"
],
"type": "object"
},
{
"type": "null"
}
]
},
"trigger": {
"anyOf": [
{
"oneOf": [
{
"additionalProperties": false,
"properties": {
"schedule": {
"type": "string"
},
"type": {
"const": "cron",
"default": "cron",
"type": "string"
}
},
"required": [
"schedule"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"type": "object"
},
"labels": {
"type": "array"
},
"on": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"linear_issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"type": "object"
},
"on": {
"type": "array"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"pull_request": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"base": {
"type": "array"
},
"draft": {
"type": "object"
},
"for": {
"type": "object"
},
"head": {
"type": "array"
},
"labels": {
"type": "array"
},
"on": {
"type": "array"
},
"paths": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"push": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"branch": {
"type": "array"
},
"for": {
"type": "object"
},
"paths": {
"type": "array"
},
"repositories": {
"type": "object"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"sentry": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"on": {
"type": "array"
},
"projects": {
"type": "array"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"slack_channel": {
"anyOf": [
{
"additionalProperties": false,
"properties": {},
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"const": "react",
"default": "react",
"type": "string"
}
},
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"platforms": {
"default": [],
"items": {
"enum": [
"github",
"slack",
"linear"
],
"type": "string"
},
"type": "array"
},
"type": {
"const": "mention",
"default": "mention",
"type": "string"
}
},
"type": "object"
}
]
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"agent_config_source_details": {
"anyOf": [
{
"properties": {
"branch": {
"type": "string"
},
"path": {
"type": "string"
},
"repo_id": {
"type": "integer"
}
},
"required": [
"repo_id",
"path",
"branch"
],
"type": "object"
},
{
"type": "null"
}
]
},
"created_at": {
"format": "date-time",
"type": "string"
},
"customer_id": {
"type": "string"
},
"deleted": {
"default": false,
"type": "boolean"
},
"edited_by": {
"anyOf": [
{
"properties": {
"avatar_url": {
"type": "string"
},
"id": {
"type": "integer"
},
"login": {
"type": "string"
},
"type": {
"enum": [
"User",
"Organization",
"Bot",
"Mannequin"
],
"type": "string"
}
},
"required": [
"id",
"login",
"type",
"avatar_url"
],
"type": "object"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"is_pull_request_head_preview": {
"default": false,
"type": "boolean"
},
"last_agent_session_created_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"last_agent_session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_sync_error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_synced_commit_sha": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"pending_pull_request_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"customer_id",
"created_at",
"updated_at",
"agent_config"
],
"type": "object"
},
"path": {
"type": "string"
},
"pull_request_url": {
"type": "string"
}
},
"required": [
"config",
"path",
"pull_request_url"
],
"type": "object"
}Request
An inline agent config.
File path within the repo. Omit for the default agents/<slug>.yaml; if set it must be a location the config sync scans (a .yaml/.yml file under agents/, .agents/, ellipsis/, or .ellipsis/ at any depth).
Target repository name within the caller's account; the owner is always the account, so pass a bare name (e.g. "my-service"), not "owner/my-service".
A gallery template slug (see GET /agents/templates).
Responses
curl "https://api.ellipsis.dev/agents/configs/{config_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"agent_config": {
"budget": {
"day": 0,
"month": 0,
"session": 0,
"week": 0
},
"claude": {
"effort": "low",
"fallback_model": "string",
"max_turns": 0,
"model": "claude-opus-5",
"settings": {
"path": "string",
"repository": {
"name": "string",
"owner": "string",
"ref": "string"
}
},
"system": "string"
},
"codex": {
"model": "bedrock-gpt-5.6-terra",
"system": "string"
},
"ellipsis": {
"description": "string",
"enabled": true,
"ide": true,
"interactive": true,
"metadata": {
"annotations": {},
"labels": []
},
"name": "string",
"version": "v1"
},
"environment": {
"compute": {
"cpu": 0,
"memory": "string",
"timeout": "string"
},
"hooks": {
"post_clone": "string",
"post_start": "string"
},
"image": {
"dockerfile_append": "string",
"setup": "string"
},
"ports": [
3000,
5173,
8000,
8080
],
"repositories": [],
"variables": []
},
"llm": {
"proxy": "string"
},
"mcp_servers": [],
"permissions": {
"ellipsis": true,
"github": {
"permissions": "string",
"repositories": [
"string"
]
}
},
"skills": [],
"structured_output": {
"json_schema": {},
"type": "json_schema"
},
"trigger": "string"
},
"agent_config_source_details": {
"branch": "string",
"path": "string",
"repo_id": 0
},
"created_at": "2026-01-01T00:00:00Z",
"customer_id": "string",
"deleted": false,
"edited_by": {
"avatar_url": "string",
"id": 0,
"login": "string",
"type": "User"
},
"id": "string",
"is_pull_request_head_preview": false,
"last_agent_session_created_at": "2026-01-01T00:00:00Z",
"last_agent_session_id": "string",
"last_sync_error": "string",
"last_synced_commit_sha": "string",
"pending_pull_request_url": "string",
"updated_at": "2026-01-01T00:00:00Z"
}{
"properties": {
"agent_config": {
"additionalProperties": false,
"properties": {
"budget": {
"additionalProperties": false,
"properties": {
"day": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"month": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"session": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"week": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"claude": {
"additionalProperties": false,
"properties": {
"effort": {
"anyOf": [
{
"enum": [
"low",
"medium",
"high",
"xhigh",
"max"
],
"type": "string"
},
{
"type": "null"
}
]
},
"fallback_model": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"max_turns": {
"anyOf": [
{
"exclusiveMinimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"model": {
"default": "claude-opus-5",
"type": "string"
},
"settings": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
{
"type": "null"
}
]
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
"codex": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"model": {
"default": "bedrock-gpt-5.6-terra",
"type": "string"
},
"system": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
},
{
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"file": {
"type": "string"
}
},
"required": [
"file"
],
"type": "object"
}
]
},
"type": "array"
}
],
"default": ""
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"ellipsis": {
"additionalProperties": false,
"properties": {
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"enabled": {
"default": true,
"type": "boolean"
},
"ide": {
"default": true,
"type": "boolean"
},
"interactive": {
"default": true,
"type": "boolean"
},
"metadata": {
"additionalProperties": false,
"properties": {
"annotations": {
"additionalProperties": {
"type": "string"
},
"default": {},
"type": "object"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"version": {
"default": "v1",
"type": "string"
}
},
"type": "object"
},
"environment": {
"additionalProperties": false,
"properties": {
"compute": {
"additionalProperties": false,
"properties": {
"cpu": {
"anyOf": [
{
"maximum": 16,
"minimum": 0.125,
"type": "number"
},
{
"type": "null"
}
]
},
"memory": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"gb": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"mb": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"timeout": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"hours": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"minutes": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"seconds": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"hooks": {
"additionalProperties": false,
"properties": {
"post_clone": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"post_start": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"image": {
"additionalProperties": false,
"properties": {
"dockerfile_append": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"setup": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"ports": {
"default": [
3000,
5173,
8000,
8080
],
"items": {
"type": "integer"
},
"type": "array"
},
"repositories": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
},
"variables": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"value": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"llm": {
"additionalProperties": false,
"properties": {
"proxy": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"mcp_servers": {
"default": [],
"items": {
"anyOf": [
{
"type": "string"
},
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
]
},
"type": "array"
},
"permissions": {
"additionalProperties": false,
"properties": {
"ellipsis": {
"default": true,
"enum": [
true,
"all"
]
},
"github": {
"additionalProperties": false,
"properties": {
"permissions": {
"anyOf": [
{
"const": "read_only",
"type": "string"
},
{
"additionalProperties": {
"type": "string"
},
"type": "object"
},
{
"type": "null"
}
]
},
"repositories": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"type": "object"
},
"skills": {
"default": [],
"items": {
"additionalProperties": false,
"properties": {
"path": {
"type": "string"
},
"repository": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"name": {
"type": "string"
},
"owner": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"ref": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"name"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"path"
],
"type": "object"
},
"type": "array"
},
"structured_output": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"json_schema": {
"additionalProperties": true,
"type": "object"
},
"type": {
"const": "json_schema",
"default": "json_schema",
"type": "string"
}
},
"required": [
"json_schema"
],
"type": "object"
},
{
"type": "null"
}
]
},
"trigger": {
"anyOf": [
{
"oneOf": [
{
"additionalProperties": false,
"properties": {
"schedule": {
"type": "string"
},
"type": {
"const": "cron",
"default": "cron",
"type": "string"
}
},
"required": [
"schedule"
],
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"additionalProperties": false,
"properties": {
"bots": {
"type": "object"
},
"users": {
"type": "object"
}
},
"type": "object"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"on": {
"items": {
"type": "string"
},
"type": "array"
},
"repositories": {
"anyOf": [
{
"type": "object"
},
{
"type": "array"
}
]
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"linear_issue": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"for": {
"additionalProperties": false,
"properties": {
"bots": {
"type": "object"
},
"users": {
"type": "object"
}
},
"type": "object"
},
"on": {
"default": [
"opened"
],
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"pull_request": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"base": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"draft": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"for": {
"additionalProperties": false,
"properties": {
"bots": {
"type": "object"
},
"users": {
"type": "object"
}
},
"type": "object"
},
"head": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"labels": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"on": {
"items": {
"type": "string"
},
"type": "array"
},
"paths": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"repositories": {
"anyOf": [
{
"type": "object"
},
{
"type": "array"
}
]
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"push": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"branch": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"for": {
"additionalProperties": false,
"properties": {
"bots": {
"type": "object"
},
"users": {
"type": "object"
}
},
"type": "object"
},
"paths": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
},
"repositories": {
"anyOf": [
{
"type": "object"
},
{
"type": "array"
}
]
}
},
"type": "object"
},
{
"type": "null"
}
]
},
"sentry": {
"anyOf": [
{
"additionalProperties": false,
"properties": {
"on": {
"items": {
"type": "string"
},
"type": "array"
},
"projects": {
"default": [],
"items": {
"type": "string"
},
"type": "array"
}
},
"required": [
"on"
],
"type": "object"
},
{
"type": "null"
}
]
},
"slack_channel": {
"anyOf": [
{
"additionalProperties": false,
"properties": {},
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"const": "react",
"default": "react",
"type": "string"
}
},
"type": "object"
},
{
"additionalProperties": false,
"properties": {
"platforms": {
"default": [],
"items": {
"enum": [
"github",
"slack",
"linear"
],
"type": "string"
},
"type": "array"
},
"type": {
"const": "mention",
"default": "mention",
"type": "string"
}
},
"type": "object"
}
]
},
{
"type": "null"
}
]
}
},
"type": "object"
},
"agent_config_source_details": {
"anyOf": [
{
"properties": {
"branch": {
"type": "string"
},
"path": {
"type": "string"
},
"repo_id": {
"type": "integer"
}
},
"required": [
"repo_id",
"path",
"branch"
],
"type": "object"
},
{
"type": "null"
}
]
},
"created_at": {
"format": "date-time",
"type": "string"
},
"customer_id": {
"type": "string"
},
"deleted": {
"default": false,
"type": "boolean"
},
"edited_by": {
"anyOf": [
{
"properties": {
"avatar_url": {
"type": "string"
},
"id": {
"type": "integer"
},
"login": {
"type": "string"
},
"type": {
"enum": [
"User",
"Organization",
"Bot",
"Mannequin"
],
"type": "string"
}
},
"required": [
"id",
"login",
"type",
"avatar_url"
],
"type": "object"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"is_pull_request_head_preview": {
"default": false,
"type": "boolean"
},
"last_agent_session_created_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"last_agent_session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_sync_error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"last_synced_commit_sha": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"pending_pull_request_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"customer_id",
"created_at",
"updated_at",
"agent_config"
],
"type": "object"
}Request
Responses
The account default and any per-repository defaults. Defaults are addressed by rung: the account rung is repository omitted, a repo rung is "owner/name" — never by row id.
curl "https://api.ellipsis.dev/agents/defaults" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"defaults": [
{
"broken": "config_deleted",
"config_id": "string",
"config_name": "string",
"id": "string",
"repository": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
]
}{
"properties": {
"defaults": {
"items": {
"properties": {
"broken": {
"anyOf": [
{
"enum": [
"config_deleted",
"config_disabled",
"config_pending_pr",
"repo_inaccessible"
],
"type": "string"
},
{
"type": "null"
}
]
},
"config_id": {
"type": "string"
},
"config_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"repository": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"config_id",
"updated_at"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"defaults"
],
"type": "object"
}Responses
Addressed by rung: the account rung (repository omitted) or a repository rung ("owner/name"). Refused for sandbox tokens (potentially prompt-injected code must not repoint the account's ambient default); an unknown or foreign repository is a 404.
curl -X PUT "https://api.ellipsis.dev/agents/defaults" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY" \
-H "Content-Type: application/json" \
-d '{"config_id":"..."}'{
"broken": "config_deleted",
"config_id": "string",
"config_name": "string",
"id": "string",
"repository": "string",
"updated_at": "2026-01-01T00:00:00Z"
}{
"properties": {
"config_id": {
"type": "string"
},
"repository": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"config_id"
],
"type": "object"
}{
"properties": {
"broken": {
"anyOf": [
{
"enum": [
"config_deleted",
"config_disabled",
"config_pending_pr",
"repo_inaccessible"
],
"type": "string"
},
{
"type": "null"
}
]
},
"config_id": {
"type": "string"
},
"config_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"repository": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"config_id",
"updated_at"
],
"type": "object"
}Request
The saved config to make the default.
The rung to set: "owner/name" for a repo default; omit to set the account default. Unlike session start's silent ignore, an unknown or foreign repo here is a 404.
Responses
Addressed by rung: the account rung (repository omitted) or a repository rung. Refused for sandbox tokens.
curl -X DELETE "https://api.ellipsis.dev/agents/defaults" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"Request
Repo rung to clear ("owner/name"); omit to clear the account default.
Responses
Behind auth but not account-scoped — the data is static product content shared by the dashboard, landing site, and CLI.
curl "https://api.ellipsis.dev/agents/templates" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"templates": [
{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}
],
"walkthrough_yaml": "string"
}{
"properties": {
"templates": {
"items": {
"properties": {
"description": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"summary": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
},
"use_case": {
"type": "string"
},
"yaml": {
"type": "string"
}
},
"required": [
"slug",
"name",
"description",
"tags",
"summary",
"use_case",
"yaml"
],
"type": "object"
},
"type": "array"
},
"walkthrough_yaml": {
"type": "string"
}
},
"required": [
"templates",
"walkthrough_yaml"
],
"type": "object"
}Responses
curl "https://api.ellipsis.dev/agents/templates/{template_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"description": "string",
"name": "string",
"slug": "string",
"summary": "string",
"tags": [
"string"
],
"use_case": "string",
"yaml": "string"
}{
"properties": {
"description": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"summary": {
"type": "string"
},
"tags": {
"items": {
"type": "string"
},
"type": "array"
},
"use_case": {
"type": "string"
},
"yaml": {
"type": "string"
}
},
"required": [
"slug",
"name",
"description",
"tags",
"summary",
"use_case",
"yaml"
],
"type": "object"
}